> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Wallet Transfer

> Records an audit row for a client-executed wallet transfer, resolving token type and explorer link.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/create-wallet-transfer
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/create-wallet-transfer:
    post:
      operationId: createWalletTransfer
      summary: Create Wallet Transfer
      description: >-
        Records an audit row for a client-executed wallet transfer, resolving
        token type and explorer link.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWalletTransferRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateWalletTransferResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateWalletTransferRequest:
      type: object
      properties:
        fromAddress:
          type: string
          minLength: 1
        toAddress:
          type: string
          minLength: 1
        tokenAmount:
          type: string
          minLength: 1
        tokenSymbol:
          type: string
          minLength: 1
        network:
          type: string
          minLength: 1
        tokenID:
          type: string
        transactionHash:
          type: string
        transactionLink:
          type: string
        clientTransactionId:
          type: string
        status:
          type: string
          enum:
            - PENDING
            - CONFIRMED
            - FAILED
            - SUBMITTED
        errorMessage:
          type: string
          maxLength: 1000
        transferType:
          type: string
          enum:
            - DIRECT
            - GASLESS_7702
        chainId:
          type: number
        smartAccountAddress:
          type: string
        userOpHash:
          type: string
        estimatedFee:
          type: string
      required:
        - fromAddress
        - toAddress
        - tokenAmount
        - tokenSymbol
        - network
        - transactionHash
    CreateWalletTransferResponse:
      type: object
      properties:
        success:
          type: boolean
        walletTransferID:
          type: string
        transactionHash:
          type:
            - string
            - 'null'
        transactionLink:
          type:
            - string
            - 'null'
      required:
        - success
        - walletTransferID
        - transactionHash
        - transactionLink
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
